#  -*- coding: utf-8 -*-
"""
This module contains the default messages according to the actions that are executed during optimization.
"""
#------> LOG FILE TEXT
STARTED = "Start"
FINISHED = "End\n\n\n"

PARAMS_SET = 'General hfss and simulation parameters set'
PARTICLES_CREATED = "Create Particles"
SIM_FILE_OK = "Simulation file ready"
SIM_PARTICLE_START = "Start particle simulation "
SIM_PARTICLE_FINISHED = "Ending particle simulation"
START_ITERATIONS = "Start Iterations"
SIM_ID = "Simulation ID: "
INITIAL_PARTICLE = "Initial Particle "
TIME_ELAPSED = "Time Elapsed (seconds):"
PBEST = "pbest:"
GBEST = "gbest:"
PGVALUE = "PG:"
BEST_PARTICLE_INDEX = "best particle index:"
NUM_ITERATIONS = "Number of Iterations:"
CURRENT_ITERATION = "Current iteration:"
CALC_NEW_PARTICLES = "Calculating new particles..."
CALC_VEL_AND_POS = "Calculating the next velocities and positions..."
ITERATION = "Iteration:"
SIM_NEW_PARTICLE = "Simulating new particle"
PARTICLE = "Particle:"
CREATED_PARTICLES = "Created particles:"
GET_BEST_PARTICLE_PG = "Get the best particle pg:"
FITNESS_VALS = "Fitness values:"
GLOBAL_MIN_VAL = "Minimum global:"
#------> ERRORS
HAD_AN_ERR = ", had an error"
FIRST_RUN_ERR = "Error trying to first run"
READ_FILE_ERR = "Error trying to read the set up file\n Press intro to continue..."
R_W_FILE_ERR = "Error trying to read or write in the set up file\n Press intro to continue..."
CREATE_SETUP_FILE_ERR = "\nSomething went wrong, please contact to developer\nPress intro to continue"
CREATE_DIR_ERR = "Error trying to create the directory "
INVALID_IN_ERR = "Error, invalid input try again"
INVALID_ID_ERR = "Error, invalid ID or inexistent\n do you want to try again?"
INEXISTENT_FILE_ERR = "Error, the file doesn't exist!!\n do you want to try again?"
VALUE_ERR = "Invalid value, it must be a positive integer"
READ_ITERATION_DATA_ERR = "Something went wrong, check that the entered data is an integer"
FILE_ITERATION_P1_ERR = "Files of the iteration"
FILE_ITERATION_P2_ERR = "not found, please verify that the iteration number entered was bigger or equal that 0 and smaller or equal to present in the files\n do you want to try again?"
EXTENSION_FILE_ERR = "Error, format file invalid! make sure that the file have a '.csv' extension\n do you want to try again?"
INVALID_PATH_ERR = "Error, invalid or inexistent path!!\ndo you want to try again?"
EXE_P1_ERR = "Failure "
EXE_P2_ERR = " times, trying to run again..."
INEXISTENT_DESIGN_ERR = "Error, the model does not found, please verify that the script of your model is in the models folder or your .aedt file is in the Ansoft folder"
#------> GENERAL INFORMATION
FIND_DESIGN = "the model exists, starting the optimization process"
NO_ERR = ", no errors"
C_U_SETUP_FILE = "Setup file create or update successful!!"
CREATE_DIR = " directory create successful in the next path: "
INTRO_BTN_MSG = "\nPress intro to continue..."
YES = "Y"
NO = "N"
Y_N = " (y/n): "
START_SYS = "Starting system..."
READY = "Ready!"
DRAWING_A_GRAPHIC = "Drawing a graphic"
END_GRAPHIC_PROCESS = "\nThe process has ended,  verify that the draw graphic is in 'figures' folder in the entered ID folder"
FILES_R_D = "Files read and drawn"
ADD_NOTE_SAVE_PATH = "\nNote: if you press intro without add nothing path, this will save in ../results/comparison graphics/ by default"
END_GRAPHIC_COMPARISON_PROCESS = "\nThe process has ended,  verify that the draw graphic is in the entered path or the default path"
#------> REQUEST INFORMATION
REQUEST_ID = "Enter a previously simulate ID: "
REQUEST_ITERATION = "Enter the iteration number: "
REQUEST_FILE_NAME = "Enter the file name: "
REQUEST_MAGNITUDE_FREQ = "Enter the magnitude of frequency (for example Hz, KHz, MHz, GHz, among others): "
REQUEST_PATH_FILE_1 = "Enter the path file 1: "
REQUEST_PATH_FILE_2 = "Enter the path file 2: "
REQUEST_SAVE_PATH = "Enter the save path: "
REQUEST_X_LABEL = "Enter the axis x label: "
REQUEST_Y_LABEL = "Enter the axis y label: "
REQUEST_TITLE = "Enter the graphic title: "
REQUEST_FILE_1_LABEL = "Enter the label of the  data to file 1: "
REQUEST_FILE_2_LABEL = "Enter the label of the  data to file 2: "
REQUEST_DRAW_GRAPHIC = "Do you want to graphic the requested reports results?"
#------> MENUS TEXT
MAIN_MENU = "MENU"
OPTIMIZE = "Optimize"
FFT = "Fitness function test"
GRAPHICS_TOOLS = "Graphics tools"
EXIT = "Exit"
ENTER_AN_OPTION = "Enter an option: "
INVALID_OPTION = "Error, please enter a valid option!!"

SET_UP_MENU = "Set up menu"
MOD_PATHS = "Modify paths"
MOD_VALUES = "Modify values"
SHOW_VALUES = "Show values"
BACK = "Back"

DW_ONE_REPORT = "Draw one report"
DW_ONE_COMPLETE_ITERATION = "Draw one complete iterations"
DW_ONE_COMPLETE_EXECUTION = "Draw one complete execution"
DW_ONE_REPORTS_COMPARISONS = "Draw one reports comparisons"

ANOMALY_ERR = "Something went wrong"

CURRENT_VALUES = "Current values:"
CHANGE_VALUE_1 = "Do you want to change the "
CHANGE_VALUE_2 = " value?"
REQUEST_NEW_VAL = "Enter the new value for "
CHANGE_SUCCESSFUL = "Change successful!"

ANOMALY_ERR_2 = "Something went wrong, please try again"
END_EXE = "End execute"
INEXISTENT_DESIGN = "design file does not exist, please verify that your '.py' file is in the models folder or that the '.aedt' file exists in the '../Documents/Ansoft' folder and try again"
FINAL_MSG = "Thanks for using our software!"
